<!--
  ~ Copyright (c) 2023-2024 Datalayer, Inc.
  ~
  ~ BSD 3-Clause License
-->

# Changelog

<!-- <START NEW CHANGELOG ENTRY> -->

## 0.5.0

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/v0.4.0...b3263cc96e5a1e415d19289fde61935019170d6b))

### Enhancements made

- Add ping and reconnect interval [#17](https://github.com/datalayer/jupyter-kernel-client/pull/17) ([@fcollonval](https://github.com/fcollonval))

### Bugs fixed

- fix: build-version [#16](https://github.com/datalayer/jupyter-kernel-client/pull/16) ([@echarles](https://github.com/echarles))
- Fix version handling [#15](https://github.com/datalayer/jupyter-kernel-client/pull/15) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-12-18&to=2025-01-29&type=c))

[@echarles](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Aecharles+updated%3A2024-12-18..2025-01-29&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-12-18..2025-01-29&type=Issues)

<!-- <END NEW CHANGELOG ENTRY> -->

## 0.4.0

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/v0.3.1...55b117e90c57eab0eb4bdfda16d53aa88d5a8041))

### New features added

- chore: konsole [#9](https://github.com/datalayer/jupyter-kernel-client/pull/9) ([@echarles](https://github.com/echarles))

### Enhancements made

- Improve variables API [#14](https://github.com/datalayer/jupyter-kernel-client/pull/14) ([@fcollonval](https://github.com/fcollonval))
- Add first implementation for list and get variables [#12](https://github.com/datalayer/jupyter-kernel-client/pull/12) ([@fcollonval](https://github.com/fcollonval))
- Capture exception on client stop [#11](https://github.com/datalayer/jupyter-kernel-client/pull/11) ([@fcollonval](https://github.com/fcollonval))
- Readme and Konsole [#10](https://github.com/datalayer/jupyter-kernel-client/pull/10) ([@echarles](https://github.com/echarles))
- chore: konsole [#9](https://github.com/datalayer/jupyter-kernel-client/pull/9) ([@echarles](https://github.com/echarles))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-12-10&to=2024-12-18&type=c))

[@echarles](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Aecharles+updated%3A2024-12-10..2024-12-18&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-12-10..2024-12-18&type=Issues)

## 0.3.1

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/v0.3.0...f2a2cce9407800ab7f98fddcd43513987d944c52))

### Enhancements made

- Add concurrency configuration on CI job [#6](https://github.com/datalayer/jupyter-kernel-client/pull/6) ([@fcollonval](https://github.com/fcollonval))

### Bugs fixed

- Fix handling (not) owned kernel [#8](https://github.com/datalayer/jupyter-kernel-client/pull/8) ([@fcollonval](https://github.com/fcollonval))

### Documentation improvements

- Add pypi badge [#7](https://github.com/datalayer/jupyter-kernel-client/pull/7) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-12-07&to=2024-12-10&type=c))

[@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-12-07..2024-12-10&type=Issues)

## 0.3.0

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/v0.2.0...c768f690798c6b0b3ab5c28214988b688dceb6e1))

### Enhancements made

- Improve output_hook API [#5](https://github.com/datalayer/jupyter-kernel-client/pull/5) ([@fcollonval](https://github.com/fcollonval))
- Multiple enhancement [#3](https://github.com/datalayer/jupyter-kernel-client/pull/3) ([@fcollonval](https://github.com/fcollonval))

### Other merged PRs

- Bump apache/skywalking-eyes from e19b828cea6a6027cceae78f05d81317347d21be to 3ea9df11bb3a5a85665377d1fd10c02edecf2c40 in the actions group [#1](https://github.com/datalayer/jupyter-kernel-client/pull/1) ([@dependabot](https://github.com/dependabot))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-12-04&to=2024-12-07&type=c))

[@dependabot](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Adependabot+updated%3A2024-12-04..2024-12-07&type=Issues) | [@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-12-04..2024-12-07&type=Issues)

## 0.2.0

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/v0.1.1...4752ca24a3e9d3969619ae079f275814b242d943))

### Enhancements made

- Add KernelClient.execute_interactive [#2](https://github.com/datalayer/jupyter-kernel-client/pull/2) ([@fcollonval](https://github.com/fcollonval))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-12-04&to=2024-12-04&type=c))

[@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-12-04..2024-12-04&type=Issues)

## 0.1.1

:warning: Not published

([Full Changelog](https://github.com/datalayer/jupyter-kernel-client/compare/66064f9f7afe59b2450fc3a15a2e78f4eb606852))

First version

### Contributors to this release

([GitHub contributors page for this release](https://github.com/datalayer/jupyter-kernel-client/graphs/contributors?from=2024-11-27&to=2024-12-04&type=c))

[@fcollonval](https://github.com/search?q=repo%3Adatalayer%2Fjupyter-kernel-client+involves%3Afcollonval+updated%3A2024-11-27..2024-12-04&type=Issues)
